Update a private location

Server: https://{kibana_url}
  • PUT /api/synthetics/private_locations/{id}
  • PUT /s/{space_id}/api/synthetics/private_locations/{id}

Refer to Spaces for more information.

Update an existing private location's label or agent policy. You must have all privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges. When a private location's label is updated, all monitors using this location will also be updated to maintain data consistency. When a private location's agent policy is changed, the package policies of all monitors using this location are deleted and recreated on the new agent policy. Monitors stop running on the previous agents until agents on the new policy pick them up. The new agent policy must be available in all spaces of the private location and must not be used by another private location.

Path Parameters

id string required

The unique identifier of the private location to be updated.

Responses

400

If the label is shorter than 1 character, or the agentPolicyId is not available in the current space, does not cover all spaces of the private location, or is already used by another private location, the API will return a 400 Bad Request response with a corresponding error message.

404

If the private location with the specified ID does not exist, the API will return a 404 Not Found response.